"""Add TaigaUserStoryProvider

Revision ID: 6c174457829c
Revises: 2a60cb3fb390
Create Date: 2024-06-03 18:50:22.330381

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa

from portal.model import Uuid


# revision identifiers, used by Alembic.
revision: str = "6c174457829c"
down_revision: Union[str, None] = "d3889051d9e7"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.create_table(
        "taiga_user_story_provider",
        sa.Column("url", sa.String(), nullable=False),
        sa.Column("authorization", sa.String(), nullable=False),
        sa.Column("uuid", Uuid(), nullable=False),
        sa.PrimaryKeyConstraint("uuid"),
    )


def downgrade() -> None:
    op.drop_table("taiga_user_story_provider")
